Quassel IRC - Bug #831

assert if you "/query"” in the input field
10/20/2009 08:51 PM - m4v

Status: Resolved Start date: 10/20/2009
Priority: Normal Due date:

Assignee: johu % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.6.2

Version: 0.5.0 0S: Any
Description

just write "/query" and enter.

| tested this while connected to freenode and in some channels.

% quassel --version (10-20
15:49)

Qt:4.5.2

KDE: 4.3.2 (KDE 4.3.2)

Quassel IRC: v0.5.0 (dist-638987¢)

% Isb_release a

backtrace:

unhandled Error in QSqglQuery!

last Query:

INSERT INTO buffer (userid, networkid, buffername, buffercname, buffertype)

VALUES (:userid, :networkid, :buffername, :buffercname, :buffertype)

executed Query:

INSERT INTO buffer (userid, networkid, buffername, buffercname, buffertype)

VALUES (?,?,7?,?,7)

bound Values: :buffercname=NULL, :buffername=NULL, :buffertype=4, :networkid=1, :userid=1
Error Number: 19

Error Message: constraint failed No es posible obtener la fila

Driver Message: No es posible obtener la fila

DB Message: constraint failed

ASSERT: "bufferld.isValid()" in file /build/buildd/quassel-0.5.0/src/uisupport/bufferviewfilter.cpp, line 303
Quassel IRC: "0.5.0" "638987ec78dde3979a8636d1f131eb1d0d5a9073"

Program received signal SIGABRT, Aborted.

0x00a74422 in _kernel_vsyscall ()

(gdb) bt

#0 0x00a74422 in __kernel_vsyscall ()

#1 0x01d174d1 in _Gl_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64

#2 0x01d1a932 in *__Gl_abort () at abort.c:92

#3 0x007e5f8c in gt_message_output(QtMsgType, char const) () from /usr/lib/libQtCore.so0.4

0x007e606¢€ in gFatal(char const*, ...) () from /usr/lib/libQtCore.s0.4

0x007e6165 in gt_assert(char const*, char const*, int) () from /usr/lib/libQtCore.so0.4

#6 0x0812f3ac in BufferViewFilter::filterAcceptBuffer (this=0x869d4c8, source_bufferindex=...) at
/build/buildd/quassel-0.5.0/src/uisupport/bufferviewfilter.cpp:303

#7 0x0812f768 in BufferViewFilter::filterAcceptsRow (this=0x869d4c8, source_row=6, source_parent=...) at
/build/buildd/quassel-0.5.0/src/uisupport/bufferviewfilter.cpp:371

#8 0x011754e3 in ?7? () from /usr/lib/libQtGui.so.4

#9 0x0117572f in ?? () from /usr/lib/libQtGui.so.4

#10 0x01176def in QSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
#11 0x0815745f in BufferViewFilter::qt_metacall (this=0x869d4c8, _c=QMetaObject::InvokeMetaMethod, _id=32, _a=0xbfffe550)
at /build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/uisupport/moc_bufferviewfilter.cxx:78

#12 0x008f5263 in QMetaObject::activate(QODbject™, int, int, void**) () from /usr/lib/libQtCore.so0.4

#13 0x008f5ec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /ust/lib/libQtCore.so.4

#14 0x0092e98f in QAbstractltemModel::rowsInserted(QModellndex const&, int, int) () from /usr/lib/libQtCore.so0.4

#15 0x008da460 in QAbstractltemModel::endinsertRows() () from /usr/lib/libQtCore.so.4

#16 0x01174€93 in ?? () from /usr/lib/libQtGui.so0.4

#17 0x011754a0 in ?? () from /usr/lib/libQtGui.so.4

#18 0x0117572f in ?7? () from /usr/lib/libQtGui.so0.4

#19 0x01176def in QSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4

#20 0x0818680f in BufferModel::qt_metacall (this=0x839f548, _c=QMetaObject::InvokeMetaMethod, _id=32, _a=0xbfffe8c0) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/client/moc_buffermodel.cxx:76

#21 0x008f5263 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so0.4

#22 0x008f5ec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /ust/lib/libQtCore.so0.4

#23 0x0092e98f in QAbstractltemModel::rowsInserted(QModellndex const&, int, int) () from /usr/lib/libQtCore.so0.4

#24 0x008da460 in QAbstractltemModel::endinsertRows() () from /usr/lib/libQtCore.so.4

#25 0x081846¢0 in TreeModel::endAppendChilds (this=0x839f3d8) at /build/buildd/quassel-0.5.0/src/client/treemodel.cpp:489
#26 0x0818b303 in TreeModel::qt_metacall (this=0x839f3d8, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbfffeaac) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/client/moc_treemodel.cxx:274

#27 0x08189e6f in NetworkModel::qt_metacall (this=0x839f3d8, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbfffeaac) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/client/moc_networkmodel.cxx:613

#28 0x008f5263 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so0.4

#29 0x008f5ec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /ust/lib/libQtCore.so0.4

#30 0x0818b4d9 in AbstractTreeltem::endAppendChilds (this=0x843c250) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/client/moc_treemodel.cxx:104

#31 0x081853b4 in AbstractTreeltem::newChild (this=0x843c250, item=0x8752828) at
/build/buildd/quassel-0.5.0/src/client/treemodel.cpp:51

#32 0x0817e6ca in Networkltem::bufferltem (this=0x843c250, bufferinfo=...) at
/build/buildd/quassel-0.5.0/src/client/networkmodel.cpp:108

#33 0x0817eab4 in NetworkModel::updateBufferActivity (this=0x839f3d8, msg=...) at
/build/buildd/quassel-0.5.0/src/client/networkmodel.cpp:1052

#34 0x08087a1a in QtUiMessageProcessor::process (this=0x83a19a0, msg=...) at
/build/buildd/quassel-0.5.0/src/qtui/gtuimessageprocessor.cpp:59

#35 0x08164bba in Client::recvMessage (this=0x83b44c8, msg=...) at /build/buildd/quassel-0.5.0/src/client/client.cpp:466

#36 0x081873b9 in Client::qt_metacall (this=0x83b44c8, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0xbfffed18) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/client/moc_client.cxx:152

#37 0x08213c26 in SignalProxy::invokeSlot (this=0x83cb728, receiver=0x83b44c8, methodld=25, params-=..., returnValue=...) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:796

#38 0x08213c6b in SignalProxy::invokeSlot (this=0x83cb728, receiver=0x83b44c8, methodld=25, params=...) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:807

#39 0x08213e18 in SignalProxy::handleSignal (this=0x83cb728, data=...) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:750

#40 0x08214e6a in SignalProxy::receivePeerSignal (this=0x83cb728, sender=0x844e4b8, requestType=@0x852dd08, params=...)
at /build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:587

#41 0x08214ecc in SignalProxy::receivePeerSignal (this=0x83cb728, sender=0x839a608, requestType=@0x852dd08, params=...) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:622

#42 0x082162b5 in SignalProxy::customEvent (this=0x83cb728, event=0x852dcf8) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:982

#43 0x008ef65f in QObject::event(QEvent*) () from /usr/lib/libQtCore.so0.4

#44 0x00b95f54 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#45 0x00b9d67c in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#46 0x06fe1bfa in KApplication::notify(QObject*, QEvent*) () from /ust/lib/libkdeui.s0.5

#47 0x008df6cb in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so0.4

#48 0x008e02b2 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.s0.4
#49 0x008e047d in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4

#50 0x0090a3ff in ?? () from /usr/lib/libQtCore.so.4

#51 0x02527e78 in g_main_context_dispatch () from /lib/libglib-2.0.s0.0

52 0x0252b720 in ?? () from /lib/libglib-2.0.s0.0

53 0x0252b853 in g_main_context_iteration () from /lib/libglib-2.0.s0.0

54 0x0090a02c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so0.4
55 0x00c36be5 in ?? () from /usr/lib/libQtGui.so.4

56 0x008ddc79 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so0.4

57 0x008deOca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /ust/lib/libQtCore.so.4

58 0x008e053f in QCoreApplication::exec() () from /usr/lib/libQtCore.so0.4

9 0x00b95dd7 in QApplication::exec() () from /usr/lib/libQtGui.s0.4

60 0x0807643d in main (argc=No se puede acceder a la memoria en la direccion 0x6

at /build/buildd/quassel-0.5.0/src/common/main.cpp:139
Associated revisions

Revision 9df2a35dba2c0cb4ca8c28989b9cf776d8e2fdf8 - 05/01/2010 06:58 PM - johu

check empty args for cmds join+query, fixes #831

Revision 9df2a35d - 05/01/2010 06:58 PM - johu

check empty args for cmds join+query, fixes #831
Revision f47c3bdeacbc163f558751bf090d499fd1a36¢cb6 - 05/01/2010 06:59 PM - seezer
Handle /query and /join without args nicely

Adapts MR84 to the refactored ClientUserlnputHandler
Thanks johu for the initial fix!

Fixes #831 and renders MR84 obsolete.
Revision f47c3bde - 05/01/2010 06:59 PM - seezer
Handle /query and /join without args nicely

Adapts MR84 to the refactored ClientUserlnputHandler
Thanks johu for the initial fix!

Fixes #831 and renders MR84 obsolete.

History

#1 - 03/11/2010 07:17 PM - johu

- Status changed from New to Confirmed
- Assignee set to johu

- Target version set to 0.6.0

- OS changed from Linux to Any

#2 - 04/23/2010 02:32 AM - johu
- Target version deleted (0.6.0)

#3 - 04/23/2010 10:58 PM - johu
- Target version set to 0.6.2

- % Done changed from 0 to 90

#4 - 05/01/2010 08:44 PM - seezer
- Status changed from Confirmed to Resolved

- % Done changed from 90 to 100

Applied in changeset f47c3bdeacbc163f558751bf090d499fd1a36¢b6.
